Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 817844 - [abrt]: BUG: unable to handle kernel NULL pointer dereference at 00000505
Summary: [abrt]: BUG: unable to handle kernel NULL pointer dereference at 00000505
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-01 14:46 UTC by Mads Kiilerich
Modified: 2012-05-07 07:38 UTC (History)
10 users (show)

Fixed In Version: kernel-3.3.4-3.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-04 22:50:47 UTC
Type: ---


Attachments (Terms of Use)

Description Mads Kiilerich 2012-05-01 14:46:21 UTC
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.4-1.fc17.i686.PAE root=/dev/mapper/VolGroup-lv_root16 ro quiet rhgb
kernel:         3.3.4-1.fc17.i686.PAE
time:           Tue 01 May 2012 06:44:36 PM CEST

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 00000505
:IP: [<c066c08e>] strstr+0x2e/0x50
:*pdpt = 0000000033896001 *pde = 0000000000000000 
:Oops: 0000 [#1] SMP 
:Modules linked in: dell_laptop(+) dcdbas iTCO_vendor_support soundcore rfkill microcode(+) joydev uinput firewire_ohci firewire_core crc_itu_t yenta_socket i915 video i2c_algo_bit drm_kms_helper drm i2c_core
:Pid: 418, comm: udevd Not tainted 3.3.4-1.fc17.i686.PAE #1 Dell Inc. Latitude D510                   /0N8829
:EIP: 0060:[<c066c08e>] EFLAGS: 00010202 CPU: 0
:EIP is at strstr+0x2e/0x50
:EAX: 00000505 EBX: f7f4dd35 ECX: 0000000d EDX: 0000000d
:ESI: 00000505 EDI: f7f4dd35 EBP: f38a5e6c ESP: f38a5e60
: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:Process udevd (pid: 418, ti=f38a4000 task=f3d56480 task.ti=f38a4000)
:Stack:
: 00000000 f7f4dd2c f7f4dd2c f38a5e8c c0820a10 00000000 f7ebb000 00000002
: f7f4dd2c 00000000 00000000 f38a5e9c c0820adf f7f4e120 f7eba078 f38a5ed4
: f7eba0a7 00000001 00000001 0007c475 c04ce0f4 00000000 00000000 f7eba000
:Call Trace:
: [<c0820a10>] dmi_matches+0x40/0xb0
: [<c0820adf>] dmi_check_system+0x1f/0x50
: [<f7eba078>] ? find_tokens+0x78/0x78 [dell_laptop]
: [<f7eba0a7>] dell_init+0x2f/0xf88 [dell_laptop]
: [<c04ce0f4>] ? tracepoint_module_notify+0xd4/0x1a0
: [<f7eba000>] ? 0xf7eb9fff
: [<f7eba078>] ? find_tokens+0x78/0x78 [dell_laptop]
: [<c0403112>] do_one_initcall+0x112/0x160
: [<c049d782>] ? set_section_ro_nx+0x62/0x80
: [<c04a010c>] sys_init_module+0xffc/0x1d70
: [<c094afdf>] sysenter_do_call+0x12/0x28
:Code: 83 ec 0c 89 5d f4 89 75 f8 89 7d fc 3e 8d 74 26 00 b9 ff ff ff ff 89 c6 89 d3 31 c0 89 df f2 ae f7 d1 49 89 ca 89 df 89 f0 89 d1 <f3> a6 74 0a 96 46 80 78 ff 00 75 ee 31 c0 8b 5d f4 8b 75 f8 8b 
:EIP: [<c066c08e>] strstr+0x2e/0x50 SS:ESP 0068:f38a5e60
:CR2: 0000000000000505

smolt_data:
:
:
:General
:=================================
:UUID: 3f6be076-6b27-43f4-a4c0-c87648f623a7
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 2793.06
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Celeron(R) M processor         1.40GHz
:CPU Stepping: 8
:CPU Family: 6
:CPU Model Num: 13
:Number of CPUs: 1
:CPU Speed: 1400
:System Memory: 2009
:System Swap: 4031
:Vendor: Dell Inc.
:System: Latitude D510 
:Form factor: Portable
:Kernel: 3.3.4-1.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4172:32822:4136:431) pci, yenta_cardbus, PCI/CARDBUS, PCI6515 Cardbus Controller
:(4172:32823:4136:431) pci, firewire_ohci, FIREWIRE, N/A
:(5348:5900:4136:431) pci, b44, ETHERNET, Inspiron 6400
:(32902:9618:4136:431) pci, i915, VIDEO, Mobile 915GM/GMS/910GML Express Graphics Controller
:(32902:10130:4136:431) pci, None, VIDEO, Mobile 915GM/GMS/910GML Express Graphics Controller
:(32902:9793:4136:431) pci, None, PCI/ISA, 82801FBM (ICH6M) LPC Interface Bridge
:(32902:9811:4136:431) pci, ata_piix, STORAGE, 82801FBM (ICH6M) SATA Controller
:(32902:9288:4136:431) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:9838:4136:431) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller
:(32902:9837:5361:21539) pci, snd_intel8x0m, SIMPLE, 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem Controller
:(32902:9817:4136:431) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2
:(32902:9816:4136:431) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1
:(32902:9616:4136:431) pci, agpgart-intel, HOST/PCI, Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller
:(32902:9818:4136:431) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3
:(32902:9819:4136:431) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4
:(32902:9820:4136:431) pci, ehci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller
:(32902:16928:32902:10018) pci, ipw2200, NETWORK, Dell Latitude D600
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root16 / ext4 4096 4096 2616914 436924 410721 655360 411310 411310
:/dev/sda1 /boot ext4 1024 1024 508745 403348 377748 128016 127658 127658
:

Comment 1 Josh Boyer 2012-05-01 15:18:57 UTC
I believe this is fixed by:

commit d62d421b071b08249361044d8e56c8b5c3ed6aa7
Author: Martin Nyhus <martin.nyhus@gmx.com>
Date:   Thu Mar 15 18:25:48 2012 +0100

    dell-laptop: Terminate quirks list properly
    
    Add missing DMI_NONE entry to end of the quirks list so
    dmi_check_system() won't read past the end of the list.
    
    Signed-off-by: Martin Nyhus <martin.nyhus@gmx.com>
    Signed-off-by: Matthew Garrett <mjg@redhat.com>


which is queued up for 3.3.5

Comment 2 Paul W. Frields 2012-05-02 11:31:59 UTC
Boot produces kernel warning

Package: kernel
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)

Comment 3 Sandro Mani 2012-05-03 16:53:33 UTC
Suspended with multihead enabled, resumed with second monitor detached. On resume, the system was unresponsive, a forced power-off was the only option.

This is the first time I experienced this particular problem.

There is however a similar, possibly related issue, which occurs often in the same scenario. Specifically, resume after detaching the monitor in the suspended state often leads to driver crashes, the symptoms are kwin (with desktop effects) crashing on resume, with dmesg containing messages such as "[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung", an desktop effects not enableable anymore until a reboot is performed.


Package: kernel
Architecture: x86_64
OS Release: Fedora release 18 (Rawhide)

Comment 4 kuchiman 2012-05-04 11:15:24 UTC
Launched a program Cheese. Included a video recording. Cheese hung. Top team showed that the processor is loaded to a maximum of two processes, Cheese and pulseaudio. A minute later operating system is hung.

Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 5 kuchiman 2012-05-04 11:34:08 UTC
I tried to repeat the mistake in the nuclei of 3.1.0-7.fc16.x86_64 and 3.3.2-6.fc16.x86_64. At the core of 3.1.0-7.fc16.x86_64 there is a high CPU load but freezes the operating system does not occur. At the core is 3.3.2-6.fc16.x86_64 hangs chise but the operating system just does not hang. At the core of an operating system crash 3.4 is repeated consistently.

Comment 6 kopano.fedora 2012-05-04 12:04:25 UTC
Restarted the computer after yum update!

Package: kernel
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)

Comment 7 Fedora Update System 2012-05-04 12:10:40 UTC
kernel-3.3.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-7212/kernel-3.3.4-3.fc17

Comment 8 Fedora Update System 2012-05-04 22:50:47 UTC
kernel-3.3.4-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 David Jaša 2012-05-07 07:38:28 UTC
removing abrt_hash to file different bug...


Note You need to log in before you can comment on or make changes to this bug.